import { formats } from "@kubernetes-models/validate";
export const validate = validate76;
export default validate76;
const schema31 = { type: "string", enum: ["internal.packaging.carvel.dev/v1alpha1"] };
function validate77(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("internal.packaging.carvel.dev/v1alpha1" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema31.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate77.errors = vErrors, 0 === errors; }
const schema32 = { type: "string", enum: ["InternalPackage"] };
function validate79(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("InternalPackage" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema32.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate79.errors = vErrors, 0 === errors; }
import validate83 from "@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
function validate82(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return validate83(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate83.errors : vErrors.concat(validate83.errors), errors = vErrors.length), validate82.errors = vErrors, 0 === errors; }
function validate86(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate86.errors = vErrors, 0 === errors; }
function validate81(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate82(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate82.errors : vErrors.concat(validate82.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate86(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate86.errors : vErrors.concat(validate86.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate81.errors = vErrors, 0 === errors; }
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate21.errors = vErrors, 0 === errors; }
function validate92(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.displayName && (validate21(data.displayName, { instancePath: instancePath + "/displayName", parentData: data, parentDataProperty: "displayName", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.version && (validate21(data.version, { instancePath: instancePath + "/version", parentData: data, parentDataProperty: "version", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate92.errors = vErrors, 0 === errors; }
function validate91(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate92(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate92.errors : vErrors.concat(validate92.errors), errors = vErrors.length);
} return validate91.errors = vErrors, 0 === errors; }
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.constraints && (validate21(data.constraints, { instancePath: instancePath + "/constraints", parentData: data, parentDataProperty: "constraints", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), validate22.errors = vErrors, 0 === errors; }
function validate25(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate25.errors = vErrors, 0 === errors; }
function validate24(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate25(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length);
} return validate24.errors = vErrors, 0 === errors; }
const formats0 = formats["date-time"];
function validate102(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data && !formats0.validate(data)) {
    const err1 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "date-time" }, message: 'must match format "date-time"' };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate102.errors = vErrors, 0 === errors; }
function validate29(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("boolean" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "boolean" }, message: "must be boolean" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate29.errors = vErrors, 0 === errors; }
function validate108(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.key && (validate21(data.key, { instancePath: instancePath + "/key", parentData: data, parentDataProperty: "key", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate108.errors = vErrors, 0 === errors; }
function validate107(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.kubeconfigSecretRef && (validate108(data.kubeconfigSecretRef, { instancePath: instancePath + "/kubeconfigSecretRef", parentData: data, parentDataProperty: "kubeconfigSecretRef", rootData }) || (vErrors = null === vErrors ? validate108.errors : vErrors.concat(validate108.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate21(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate107.errors = vErrors, 0 === errors; }
function validate27(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.rawOptions && (validate24(data.rawOptions, { instancePath: instancePath + "/rawOptions", parentData: data, parentDataProperty: "rawOptions", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), validate27.errors = vErrors, 0 === errors; }
function validate116(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.delete && (validate27(data.delete, { instancePath: instancePath + "/delete", parentData: data, parentDataProperty: "delete", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.inspect && (validate27(data.inspect, { instancePath: instancePath + "/inspect", parentData: data, parentDataProperty: "inspect", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.intoNs && (validate21(data.intoNs, { instancePath: instancePath + "/intoNs", parentData: data, parentDataProperty: "intoNs", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.mapNs && (validate24(data.mapNs, { instancePath: instancePath + "/mapNs", parentData: data, parentDataProperty: "mapNs", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.rawOptions && (validate24(data.rawOptions, { instancePath: instancePath + "/rawOptions", parentData: data, parentDataProperty: "rawOptions", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length))), validate116.errors = vErrors, 0 === errors; }
function validate115(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.kapp && (validate116(data.kapp, { instancePath: instancePath + "/kapp", parentData: data, parentDataProperty: "kapp", rootData }) || (vErrors = null === vErrors ? validate116.errors : vErrors.concat(validate116.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate115.errors = vErrors, 0 === errors; }
function validate114(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate115(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate115.errors : vErrors.concat(validate115.errors), errors = vErrors.length);
} return validate114.errors = vErrors, 0 === errors; }
function validate35(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.identifiers && (validate24(data.identifiers, { instancePath: instancePath + "/identifiers", parentData: data, parentDataProperty: "identifiers", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), validate35.errors = vErrors, 0 === errors; }
function validate33(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.constraints && (validate21(data.constraints, { instancePath: instancePath + "/constraints", parentData: data, parentDataProperty: "constraints", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.prereleases && (validate35(data.prereleases, { instancePath: instancePath + "/prereleases", parentData: data, parentDataProperty: "prereleases", rootData }) || (vErrors = null === vErrors ? validate35.errors : vErrors.concat(validate35.errors), errors = vErrors.length))), validate33.errors = vErrors, 0 === errors; }
function validate32(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.semver && (validate33(data.semver, { instancePath: instancePath + "/semver", parentData: data, parentDataProperty: "semver", rootData }) || (vErrors = null === vErrors ? validate33.errors : vErrors.concat(validate33.errors), errors = vErrors.length)), validate32.errors = vErrors, 0 === errors; }
function validate30(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), validate30.errors = vErrors, 0 === errors; }
function validate127(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.lfsSkipSmudge && (validate29(data.lfsSkipSmudge, { instancePath: instancePath + "/lfsSkipSmudge", parentData: data, parentDataProperty: "lfsSkipSmudge", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.ref && (validate21(data.ref, { instancePath: instancePath + "/ref", parentData: data, parentDataProperty: "ref", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.refSelection && (validate32(data.refSelection, { instancePath: instancePath + "/refSelection", parentData: data, parentDataProperty: "refSelection", rootData }) || (vErrors = null === vErrors ? validate32.errors : vErrors.concat(validate32.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate30(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate127.errors = vErrors, 0 === errors; }
function validate137(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate30(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate137.errors = vErrors, 0 === errors; }
function validate135(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.repository && (validate137(data.repository, { instancePath: instancePath + "/repository", parentData: data, parentDataProperty: "repository", rootData }) || (vErrors = null === vErrors ? validate137.errors : vErrors.concat(validate137.errors), errors = vErrors.length)), void 0 !== data.version && (validate21(data.version, { instancePath: instancePath + "/version", parentData: data, parentDataProperty: "version", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate135.errors = vErrors, 0 === errors; }
function validate143(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate30(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.sha256 && (validate21(data.sha256, { instancePath: instancePath + "/sha256", parentData: data, parentDataProperty: "sha256", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate143.errors = vErrors, 0 === errors; }
function validate149(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate30(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.tagSelection && (validate32(data.tagSelection, { instancePath: instancePath + "/tagSelection", parentData: data, parentDataProperty: "tagSelection", rootData }) || (vErrors = null === vErrors ? validate32.errors : vErrors.concat(validate32.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate149.errors = vErrors, 0 === errors; }
function validate155(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.image && (validate21(data.image, { instancePath: instancePath + "/image", parentData: data, parentDataProperty: "image", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate30(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.tagSelection && (validate32(data.tagSelection, { instancePath: instancePath + "/tagSelection", parentData: data, parentDataProperty: "tagSelection", rootData }) || (vErrors = null === vErrors ? validate32.errors : vErrors.concat(validate32.errors), errors = vErrors.length))), validate155.errors = vErrors, 0 === errors; }
function validate67(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data))
    for (const key0 in data)
        validate25(data[key0], { instancePath: instancePath + "/" + key0.replace(/~/g, "~0").replace(/\//g, "~1"), parentData: data, parentDataProperty: key0, rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length); return validate67.errors = vErrors, 0 === errors; }
function validate39(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.directoryPath && (validate21(data.directoryPath, { instancePath: instancePath + "/directoryPath", parentData: data, parentDataProperty: "directoryPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate39.errors = vErrors, 0 === errors; }
function validate71(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.configMapRef && (validate39(data.configMapRef, { instancePath: instancePath + "/configMapRef", parentData: data, parentDataProperty: "configMapRef", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate39(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate71.errors = vErrors, 0 === errors; }
function validate70(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate71(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate71.errors : vErrors.concat(validate71.errors), errors = vErrors.length);
} return validate70.errors = vErrors, 0 === errors; }
function validate66(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.paths && (validate67(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate67.errors : vErrors.concat(validate67.errors), errors = vErrors.length)), void 0 !== data.pathsFrom && (validate70(data.pathsFrom, { instancePath: instancePath + "/pathsFrom", parentData: data, parentDataProperty: "pathsFrom", rootData }) || (vErrors = null === vErrors ? validate70.errors : vErrors.concat(validate70.errors), errors = vErrors.length))), validate66.errors = vErrors, 0 === errors; }
function validate126(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.git && (validate127(data.git, { instancePath: instancePath + "/git", parentData: data, parentDataProperty: "git", rootData }) || (vErrors = null === vErrors ? validate127.errors : vErrors.concat(validate127.errors), errors = vErrors.length)), void 0 !== data.helmChart && (validate135(data.helmChart, { instancePath: instancePath + "/helmChart", parentData: data, parentDataProperty: "helmChart", rootData }) || (vErrors = null === vErrors ? validate135.errors : vErrors.concat(validate135.errors), errors = vErrors.length)), void 0 !== data.http && (validate143(data.http, { instancePath: instancePath + "/http", parentData: data, parentDataProperty: "http", rootData }) || (vErrors = null === vErrors ? validate143.errors : vErrors.concat(validate143.errors), errors = vErrors.length)), void 0 !== data.image && (validate149(data.image, { instancePath: instancePath + "/image", parentData: data, parentDataProperty: "image", rootData }) || (vErrors = null === vErrors ? validate149.errors : vErrors.concat(validate149.errors), errors = vErrors.length)), void 0 !== data.imgpkgBundle && (validate155(data.imgpkgBundle, { instancePath: instancePath + "/imgpkgBundle", parentData: data, parentDataProperty: "imgpkgBundle", rootData }) || (vErrors = null === vErrors ? validate155.errors : vErrors.concat(validate155.errors), errors = vErrors.length)), void 0 !== data.inline && (validate66(data.inline, { instancePath: instancePath + "/inline", parentData: data, parentDataProperty: "inline", rootData }) || (vErrors = null === vErrors ? validate66.errors : vErrors.concat(validate66.errors), errors = vErrors.length)), void 0 !== data.path && (validate21(data.path, { instancePath: instancePath + "/path", parentData: data, parentDataProperty: "path", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate126.errors = vErrors, 0 === errors; }
function validate125(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate126(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate126.errors : vErrors.concat(validate126.errors), errors = vErrors.length);
} return validate125.errors = vErrors, 0 === errors; }
function validate42(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.version && (validate21(data.version, { instancePath: instancePath + "/version", parentData: data, parentDataProperty: "version", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), validate42.errors = vErrors, 0 === errors; }
function validate44(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.groupVersions && (validate24(data.groupVersions, { instancePath: instancePath + "/groupVersions", parentData: data, parentDataProperty: "groupVersions", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), validate44.errors = vErrors, 0 === errors; }
function validate51(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.fieldPath && (validate21(data.fieldPath, { instancePath: instancePath + "/fieldPath", parentData: data, parentDataProperty: "fieldPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.kappControllerVersion && (validate42(data.kappControllerVersion, { instancePath: instancePath + "/kappControllerVersion", parentData: data, parentDataProperty: "kappControllerVersion", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.kubernetesAPIs && (validate44(data.kubernetesAPIs, { instancePath: instancePath + "/kubernetesAPIs", parentData: data, parentDataProperty: "kubernetesAPIs", rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length)), void 0 !== data.kubernetesVersion && (validate42(data.kubernetesVersion, { instancePath: instancePath + "/kubernetesVersion", parentData: data, parentDataProperty: "kubernetesVersion", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate51.errors = vErrors, 0 === errors; }
function validate50(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate51(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate51.errors : vErrors.concat(validate51.errors), errors = vErrors.length);
} return validate50.errors = vErrors, 0 === errors; }
function validate49(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.items && (validate50(data.items, { instancePath: instancePath + "/items", parentData: data, parentDataProperty: "items", rootData }) || (vErrors = null === vErrors ? validate50.errors : vErrors.concat(validate50.errors), errors = vErrors.length)), validate49.errors = vErrors, 0 === errors; }
function validate47(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.configMapRef && (validate30(data.configMapRef, { instancePath: instancePath + "/configMapRef", parentData: data, parentDataProperty: "configMapRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.downwardAPI && (validate49(data.downwardAPI, { instancePath: instancePath + "/downwardAPI", parentData: data, parentDataProperty: "downwardAPI", rootData }) || (vErrors = null === vErrors ? validate49.errors : vErrors.concat(validate49.errors), errors = vErrors.length)), void 0 !== data.path && (validate21(data.path, { instancePath: instancePath + "/path", parentData: data, parentDataProperty: "path", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate30(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate47.errors = vErrors, 0 === errors; }
function validate46(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate47(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate47.errors : vErrors.concat(validate47.errors), errors = vErrors.length);
} return validate46.errors = vErrors, 0 === errors; }
function validate170(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.inputExpression && (validate21(data.inputExpression, { instancePath: instancePath + "/inputExpression", parentData: data, parentDataProperty: "inputExpression", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.outputExpression && (validate21(data.outputExpression, { instancePath: instancePath + "/outputExpression", parentData: data, parentDataProperty: "outputExpression", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.paths && (validate24(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.valuesFrom && (validate46(data.valuesFrom, { instancePath: instancePath + "/valuesFrom", parentData: data, parentDataProperty: "valuesFrom", rootData }) || (vErrors = null === vErrors ? validate46.errors : vErrors.concat(validate46.errors), errors = vErrors.length))), validate170.errors = vErrors, 0 === errors; }
function validate176(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.kubernetesAPIs && (validate44(data.kubernetesAPIs, { instancePath: instancePath + "/kubernetesAPIs", parentData: data, parentDataProperty: "kubernetesAPIs", rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length)), void 0 !== data.kubernetesVersion && (validate42(data.kubernetesVersion, { instancePath: instancePath + "/kubernetesVersion", parentData: data, parentDataProperty: "kubernetesVersion", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate21(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.path && (validate21(data.path, { instancePath: instancePath + "/path", parentData: data, parentDataProperty: "path", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.valuesFrom && (validate46(data.valuesFrom, { instancePath: instancePath + "/valuesFrom", parentData: data, parentDataProperty: "valuesFrom", rootData }) || (vErrors = null === vErrors ? validate46.errors : vErrors.concat(validate46.errors), errors = vErrors.length))), validate176.errors = vErrors, 0 === errors; }
function validate63(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate63.errors = vErrors, 0 === errors; }
function validate185(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.paths && (validate24(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), validate185.errors = vErrors, 0 === errors; }
function validate64(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.privateKeysSecretRef && (validate30(data.privateKeysSecretRef, { instancePath: instancePath + "/privateKeysSecretRef", parentData: data, parentDataProperty: "privateKeysSecretRef", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), validate64.errors = vErrors, 0 === errors; }
function validate189(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.age && (validate64(data.age, { instancePath: instancePath + "/age", parentData: data, parentDataProperty: "age", rootData }) || (vErrors = null === vErrors ? validate64.errors : vErrors.concat(validate64.errors), errors = vErrors.length)), void 0 !== data.paths && (validate24(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.pgp && (validate64(data.pgp, { instancePath: instancePath + "/pgp", parentData: data, parentDataProperty: "pgp", rootData }) || (vErrors = null === vErrors ? validate64.errors : vErrors.concat(validate64.errors), errors = vErrors.length))), validate189.errors = vErrors, 0 === errors; }
function validate194(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.fileMarks && (validate24(data.fileMarks, { instancePath: instancePath + "/fileMarks", parentData: data, parentDataProperty: "fileMarks", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.ignoreUnknownComments && (validate29(data.ignoreUnknownComments, { instancePath: instancePath + "/ignoreUnknownComments", parentData: data, parentDataProperty: "ignoreUnknownComments", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.inline && (validate66(data.inline, { instancePath: instancePath + "/inline", parentData: data, parentDataProperty: "inline", rootData }) || (vErrors = null === vErrors ? validate66.errors : vErrors.concat(validate66.errors), errors = vErrors.length)), void 0 !== data.paths && (validate24(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.strict && (validate29(data.strict, { instancePath: instancePath + "/strict", parentData: data, parentDataProperty: "strict", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.valuesFrom && (validate46(data.valuesFrom, { instancePath: instancePath + "/valuesFrom", parentData: data, parentDataProperty: "valuesFrom", rootData }) || (vErrors = null === vErrors ? validate46.errors : vErrors.concat(validate46.errors), errors = vErrors.length))), validate194.errors = vErrors, 0 === errors; }
function validate169(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.cue && (validate170(data.cue, { instancePath: instancePath + "/cue", parentData: data, parentDataProperty: "cue", rootData }) || (vErrors = null === vErrors ? validate170.errors : vErrors.concat(validate170.errors), errors = vErrors.length)), void 0 !== data.helmTemplate && (validate176(data.helmTemplate, { instancePath: instancePath + "/helmTemplate", parentData: data, parentDataProperty: "helmTemplate", rootData }) || (vErrors = null === vErrors ? validate176.errors : vErrors.concat(validate176.errors), errors = vErrors.length)), void 0 !== data.jsonnet && (validate63(data.jsonnet, { instancePath: instancePath + "/jsonnet", parentData: data, parentDataProperty: "jsonnet", rootData }) || (vErrors = null === vErrors ? validate63.errors : vErrors.concat(validate63.errors), errors = vErrors.length)), void 0 !== data.kbld && (validate185(data.kbld, { instancePath: instancePath + "/kbld", parentData: data, parentDataProperty: "kbld", rootData }) || (vErrors = null === vErrors ? validate185.errors : vErrors.concat(validate185.errors), errors = vErrors.length)), void 0 !== data.kustomize && (validate63(data.kustomize, { instancePath: instancePath + "/kustomize", parentData: data, parentDataProperty: "kustomize", rootData }) || (vErrors = null === vErrors ? validate63.errors : vErrors.concat(validate63.errors), errors = vErrors.length)), void 0 !== data.sops && (validate189(data.sops, { instancePath: instancePath + "/sops", parentData: data, parentDataProperty: "sops", rootData }) || (vErrors = null === vErrors ? validate189.errors : vErrors.concat(validate189.errors), errors = vErrors.length)), void 0 !== data.ytt && (validate194(data.ytt, { instancePath: instancePath + "/ytt", parentData: data, parentDataProperty: "ytt", rootData }) || (vErrors = null === vErrors ? validate194.errors : vErrors.concat(validate194.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate169.errors = vErrors, 0 === errors; }
function validate168(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate169(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate169.errors : vErrors.concat(validate169.errors), errors = vErrors.length);
} return validate168.errors = vErrors, 0 === errors; }
function validate105(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.canceled && (validate29(data.canceled, { instancePath: instancePath + "/canceled", parentData: data, parentDataProperty: "canceled", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.cluster && (validate107(data.cluster, { instancePath: instancePath + "/cluster", parentData: data, parentDataProperty: "cluster", rootData }) || (vErrors = null === vErrors ? validate107.errors : vErrors.concat(validate107.errors), errors = vErrors.length)), void 0 !== data.deploy && (validate114(data.deploy, { instancePath: instancePath + "/deploy", parentData: data, parentDataProperty: "deploy", rootData }) || (vErrors = null === vErrors ? validate114.errors : vErrors.concat(validate114.errors), errors = vErrors.length)), void 0 !== data.fetch && (validate125(data.fetch, { instancePath: instancePath + "/fetch", parentData: data, parentDataProperty: "fetch", rootData }) || (vErrors = null === vErrors ? validate125.errors : vErrors.concat(validate125.errors), errors = vErrors.length)), void 0 !== data.noopDelete && (validate29(data.noopDelete, { instancePath: instancePath + "/noopDelete", parentData: data, parentDataProperty: "noopDelete", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.paused && (validate29(data.paused, { instancePath: instancePath + "/paused", parentData: data, parentDataProperty: "paused", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.serviceAccountName && (validate21(data.serviceAccountName, { instancePath: instancePath + "/serviceAccountName", parentData: data, parentDataProperty: "serviceAccountName", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.syncPeriod && (validate21(data.syncPeriod, { instancePath: instancePath + "/syncPeriod", parentData: data, parentDataProperty: "syncPeriod", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.template && (validate168(data.template, { instancePath: instancePath + "/template", parentData: data, parentDataProperty: "template", rootData }) || (vErrors = null === vErrors ? validate168.errors : vErrors.concat(validate168.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate105.errors = vErrors, 0 === errors; }
function validate104(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.spec && (validate105(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate105.errors : vErrors.concat(validate105.errors), errors = vErrors.length));
} return validate104.errors = vErrors, 0 === errors; }
function validate206(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.openAPIv3 && (validate63(data.openAPIv3, { instancePath: instancePath + "/openAPIv3", parentData: data, parentDataProperty: "openAPIv3", rootData }) || (vErrors = null === vErrors ? validate63.errors : vErrors.concat(validate63.errors), errors = vErrors.length)), validate206.errors = vErrors, 0 === errors; }
function validate89(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.capacityRequirementsDescription && (validate21(data.capacityRequirementsDescription, { instancePath: instancePath + "/capacityRequirementsDescription", parentData: data, parentDataProperty: "capacityRequirementsDescription", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.includedSoftware && (validate91(data.includedSoftware, { instancePath: instancePath + "/includedSoftware", parentData: data, parentDataProperty: "includedSoftware", rootData }) || (vErrors = null === vErrors ? validate91.errors : vErrors.concat(validate91.errors), errors = vErrors.length)), void 0 !== data.kappControllerVersionSelection && (validate22(data.kappControllerVersionSelection, { instancePath: instancePath + "/kappControllerVersionSelection", parentData: data, parentDataProperty: "kappControllerVersionSelection", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.kubernetesVersionSelection && (validate22(data.kubernetesVersionSelection, { instancePath: instancePath + "/kubernetesVersionSelection", parentData: data, parentDataProperty: "kubernetesVersionSelection", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.licenses && (validate24(data.licenses, { instancePath: instancePath + "/licenses", parentData: data, parentDataProperty: "licenses", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.refName && (validate21(data.refName, { instancePath: instancePath + "/refName", parentData: data, parentDataProperty: "refName", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.releaseNotes && (validate21(data.releaseNotes, { instancePath: instancePath + "/releaseNotes", parentData: data, parentDataProperty: "releaseNotes", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.releasedAt && (validate102(data.releasedAt, { instancePath: instancePath + "/releasedAt", parentData: data, parentDataProperty: "releasedAt", rootData }) || (vErrors = null === vErrors ? validate102.errors : vErrors.concat(validate102.errors), errors = vErrors.length)), void 0 !== data.template && (validate104(data.template, { instancePath: instancePath + "/template", parentData: data, parentDataProperty: "template", rootData }) || (vErrors = null === vErrors ? validate104.errors : vErrors.concat(validate104.errors), errors = vErrors.length)), void 0 !== data.valuesSchema && (validate206(data.valuesSchema, { instancePath: instancePath + "/valuesSchema", parentData: data, parentDataProperty: "valuesSchema", rootData }) || (vErrors = null === vErrors ? validate206.errors : vErrors.concat(validate206.errors), errors = vErrors.length)), void 0 !== data.version && (validate21(data.version, { instancePath: instancePath + "/version", parentData: data, parentDataProperty: "version", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate89.errors = vErrors, 0 === errors; }
function validate76(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.kind) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.apiVersion && (validate77(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate77.errors : vErrors.concat(validate77.errors), errors = vErrors.length)), void 0 !== data.kind && (validate79(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate79.errors : vErrors.concat(validate79.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate81(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate81.errors : vErrors.concat(validate81.errors), errors = vErrors.length)), void 0 !== data.spec && (validate89(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate89.errors : vErrors.concat(validate89.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate76.errors = vErrors, 0 === errors; }
