"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const tslib_1 = require("tslib");
const validate_1 = require("@kubernetes-models/validate");
exports.validate = validate40;
exports.default = validate40;
const schema18 = { type: "string", enum: ["packaging.carvel.dev/v1alpha1"] };
function validate41(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("packaging.carvel.dev/v1alpha1" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema18.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate41.errors = vErrors, 0 === errors; }
const schema19 = { type: "string", enum: ["PackageRepository"] };
function validate43(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("PackageRepository" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema19.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate43.errors = vErrors, 0 === errors; }
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = tslib_1.__importDefault(require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta"));
function validate46(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default)(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors : vErrors.concat(IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors), errors = vErrors.length), validate46.errors = vErrors, 0 === errors; }
function validate50(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate50.errors = vErrors, 0 === errors; }
function validate45(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate46(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate46.errors : vErrors.concat(validate46.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate50(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate50.errors : vErrors.concat(validate50.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate45.errors = vErrors, 0 === errors; }
function validate37(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("boolean" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "boolean" }, message: "must be boolean" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate37.errors = vErrors, 0 === errors; }
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate21.errors = vErrors, 0 === errors; }
function validate29(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate29.errors = vErrors, 0 === errors; }
function validate28(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate29(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length);
} return validate28.errors = vErrors, 0 === errors; }
function validate27(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.identifiers && (validate28(data.identifiers, { instancePath: instancePath + "/identifiers", parentData: data, parentDataProperty: "identifiers", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), validate27.errors = vErrors, 0 === errors; }
function validate25(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.constraints && (validate21(data.constraints, { instancePath: instancePath + "/constraints", parentData: data, parentDataProperty: "constraints", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.prereleases && (validate27(data.prereleases, { instancePath: instancePath + "/prereleases", parentData: data, parentDataProperty: "prereleases", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length))), validate25.errors = vErrors, 0 === errors; }
function validate24(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.semver && (validate25(data.semver, { instancePath: instancePath + "/semver", parentData: data, parentDataProperty: "semver", rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length)), validate24.errors = vErrors, 0 === errors; }
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), validate22.errors = vErrors, 0 === errors; }
function validate55(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.lfsSkipSmudge && (validate37(data.lfsSkipSmudge, { instancePath: instancePath + "/lfsSkipSmudge", parentData: data, parentDataProperty: "lfsSkipSmudge", rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length)), void 0 !== data.ref && (validate21(data.ref, { instancePath: instancePath + "/ref", parentData: data, parentDataProperty: "ref", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.refSelection && (validate24(data.refSelection, { instancePath: instancePath + "/refSelection", parentData: data, parentDataProperty: "refSelection", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate22(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate55.errors = vErrors, 0 === errors; }
function validate63(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate22(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.sha256 && (validate21(data.sha256, { instancePath: instancePath + "/sha256", parentData: data, parentDataProperty: "sha256", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate63.errors = vErrors, 0 === errors; }
function validate69(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate22(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.tagSelection && (validate24(data.tagSelection, { instancePath: instancePath + "/tagSelection", parentData: data, parentDataProperty: "tagSelection", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate69.errors = vErrors, 0 === errors; }
function validate75(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.image && (validate21(data.image, { instancePath: instancePath + "/image", parentData: data, parentDataProperty: "image", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate22(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.tagSelection && (validate24(data.tagSelection, { instancePath: instancePath + "/tagSelection", parentData: data, parentDataProperty: "tagSelection", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length))), validate75.errors = vErrors, 0 === errors; }
function validate81(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data))
    for (const key0 in data)
        validate29(data[key0], { instancePath: instancePath + "/" + key0.replace(/~/g, "~0").replace(/\//g, "~1"), parentData: data, parentDataProperty: key0, rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length); return validate81.errors = vErrors, 0 === errors; }
function validate34(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.directoryPath && (validate21(data.directoryPath, { instancePath: instancePath + "/directoryPath", parentData: data, parentDataProperty: "directoryPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate34.errors = vErrors, 0 === errors; }
function validate85(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.configMapRef && (validate34(data.configMapRef, { instancePath: instancePath + "/configMapRef", parentData: data, parentDataProperty: "configMapRef", rootData }) || (vErrors = null === vErrors ? validate34.errors : vErrors.concat(validate34.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate34(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate34.errors : vErrors.concat(validate34.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate85.errors = vErrors, 0 === errors; }
function validate84(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate85(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate85.errors : vErrors.concat(validate85.errors), errors = vErrors.length);
} return validate84.errors = vErrors, 0 === errors; }
function validate80(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.paths && (validate81(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate81.errors : vErrors.concat(validate81.errors), errors = vErrors.length)), void 0 !== data.pathsFrom && (validate84(data.pathsFrom, { instancePath: instancePath + "/pathsFrom", parentData: data, parentDataProperty: "pathsFrom", rootData }) || (vErrors = null === vErrors ? validate84.errors : vErrors.concat(validate84.errors), errors = vErrors.length))), validate80.errors = vErrors, 0 === errors; }
function validate54(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.git && (validate55(data.git, { instancePath: instancePath + "/git", parentData: data, parentDataProperty: "git", rootData }) || (vErrors = null === vErrors ? validate55.errors : vErrors.concat(validate55.errors), errors = vErrors.length)), void 0 !== data.http && (validate63(data.http, { instancePath: instancePath + "/http", parentData: data, parentDataProperty: "http", rootData }) || (vErrors = null === vErrors ? validate63.errors : vErrors.concat(validate63.errors), errors = vErrors.length)), void 0 !== data.image && (validate69(data.image, { instancePath: instancePath + "/image", parentData: data, parentDataProperty: "image", rootData }) || (vErrors = null === vErrors ? validate69.errors : vErrors.concat(validate69.errors), errors = vErrors.length)), void 0 !== data.imgpkgBundle && (validate75(data.imgpkgBundle, { instancePath: instancePath + "/imgpkgBundle", parentData: data, parentDataProperty: "imgpkgBundle", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length)), void 0 !== data.inline && (validate80(data.inline, { instancePath: instancePath + "/inline", parentData: data, parentDataProperty: "inline", rootData }) || (vErrors = null === vErrors ? validate80.errors : vErrors.concat(validate80.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate54.errors = vErrors, 0 === errors; }
function validate53(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.fetch) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "fetch" }, message: "must have required property 'fetch'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.fetch && (validate54(data.fetch, { instancePath: instancePath + "/fetch", parentData: data, parentDataProperty: "fetch", rootData }) || (vErrors = null === vErrors ? validate54.errors : vErrors.concat(validate54.errors), errors = vErrors.length)), void 0 !== data.paused && (validate37(data.paused, { instancePath: instancePath + "/paused", parentData: data, parentDataProperty: "paused", rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length)), void 0 !== data.syncPeriod && (validate21(data.syncPeriod, { instancePath: instancePath + "/syncPeriod", parentData: data, parentDataProperty: "syncPeriod", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate53.errors = vErrors, 0 === errors; }
function validate97(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.status) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "status" }, message: "must have required property 'status'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.type) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "type" }, message: "must have required property 'type'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.message && (validate21(data.message, { instancePath: instancePath + "/message", parentData: data, parentDataProperty: "message", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.reason && (validate21(data.reason, { instancePath: instancePath + "/reason", parentData: data, parentDataProperty: "reason", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.status && (validate29(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.type && (validate29(data.type, { instancePath: instancePath + "/type", parentData: data, parentDataProperty: "type", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate97.errors = vErrors, 0 === errors; }
function validate96(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate97(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate97.errors : vErrors.concat(validate97.errors), errors = vErrors.length);
} return validate96.errors = vErrors, 0 === errors; }
function validate38(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate38.errors = vErrors, 0 === errors; }
function validate113(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.group) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "group" }, message: "must have required property 'group'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.kind) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.group && (validate29(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.kind && (validate29(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate113.errors = vErrors, 0 === errors; }
function validate112(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate113(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate113.errors : vErrors.concat(validate113.errors), errors = vErrors.length);
} return validate112.errors = vErrors, 0 === errors; }
function validate111(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.groupKinds && (validate112(data.groupKinds, { instancePath: instancePath + "/groupKinds", parentData: data, parentDataProperty: "groupKinds", rootData }) || (vErrors = null === vErrors ? validate112.errors : vErrors.concat(validate112.errors), errors = vErrors.length)), void 0 !== data.label && (validate21(data.label, { instancePath: instancePath + "/label", parentData: data, parentDataProperty: "label", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespaces && (validate28(data.namespaces, { instancePath: instancePath + "/namespaces", parentData: data, parentDataProperty: "namespaces", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length))), validate111.errors = vErrors, 0 === errors; }
function validate110(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.associatedResources && (validate111(data.associatedResources, { instancePath: instancePath + "/associatedResources", parentData: data, parentDataProperty: "associatedResources", rootData }) || (vErrors = null === vErrors ? validate111.errors : vErrors.concat(validate111.errors), errors = vErrors.length)), validate110.errors = vErrors, 0 === errors; }
const formats0 = validate_1.formats["date-time"];
function validate39(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data && !formats0.validate(data)) {
    const err1 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "date-time" }, message: 'must match format "date-time"' };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate39.errors = vErrors, 0 === errors; }
function validate106(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate38(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate38.errors : vErrors.concat(validate38.errors), errors = vErrors.length)), void 0 !== data.finished && (validate37(data.finished, { instancePath: instancePath + "/finished", parentData: data, parentDataProperty: "finished", rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length)), void 0 !== data.kapp && (validate110(data.kapp, { instancePath: instancePath + "/kapp", parentData: data, parentDataProperty: "kapp", rootData }) || (vErrors = null === vErrors ? validate110.errors : vErrors.concat(validate110.errors), errors = vErrors.length)), void 0 !== data.startedAt && (validate39(data.startedAt, { instancePath: instancePath + "/startedAt", parentData: data, parentDataProperty: "startedAt", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.stdout && (validate21(data.stdout, { instancePath: instancePath + "/stdout", parentData: data, parentDataProperty: "stdout", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate39(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length))), validate106.errors = vErrors, 0 === errors; }
function validate127(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate38(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate38.errors : vErrors.concat(validate38.errors), errors = vErrors.length)), void 0 !== data.startedAt && (validate39(data.startedAt, { instancePath: instancePath + "/startedAt", parentData: data, parentDataProperty: "startedAt", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.stdout && (validate21(data.stdout, { instancePath: instancePath + "/stdout", parentData: data, parentDataProperty: "stdout", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate39(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length))), validate127.errors = vErrors, 0 === errors; }
const formats2 = validate_1.formats.int64;
function validate136(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data) && !formats2.validate(data)) {
    const err1 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int64" }, message: 'must match format "int64"' };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate136.errors = vErrors, 0 === errors; }
function validate138(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate38(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate38.errors : vErrors.concat(validate38.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate39(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length))), validate138.errors = vErrors, 0 === errors; }
function validate95(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.conditions && (validate96(data.conditions, { instancePath: instancePath + "/conditions", parentData: data, parentDataProperty: "conditions", rootData }) || (vErrors = null === vErrors ? validate96.errors : vErrors.concat(validate96.errors), errors = vErrors.length)), void 0 !== data.consecutiveReconcileFailures && (validate38(data.consecutiveReconcileFailures, { instancePath: instancePath + "/consecutiveReconcileFailures", parentData: data, parentDataProperty: "consecutiveReconcileFailures", rootData }) || (vErrors = null === vErrors ? validate38.errors : vErrors.concat(validate38.errors), errors = vErrors.length)), void 0 !== data.consecutiveReconcileSuccesses && (validate38(data.consecutiveReconcileSuccesses, { instancePath: instancePath + "/consecutiveReconcileSuccesses", parentData: data, parentDataProperty: "consecutiveReconcileSuccesses", rootData }) || (vErrors = null === vErrors ? validate38.errors : vErrors.concat(validate38.errors), errors = vErrors.length)), void 0 !== data.deploy && (validate106(data.deploy, { instancePath: instancePath + "/deploy", parentData: data, parentDataProperty: "deploy", rootData }) || (vErrors = null === vErrors ? validate106.errors : vErrors.concat(validate106.errors), errors = vErrors.length)), void 0 !== data.fetch && (validate127(data.fetch, { instancePath: instancePath + "/fetch", parentData: data, parentDataProperty: "fetch", rootData }) || (vErrors = null === vErrors ? validate127.errors : vErrors.concat(validate127.errors), errors = vErrors.length)), void 0 !== data.friendlyDescription && (validate21(data.friendlyDescription, { instancePath: instancePath + "/friendlyDescription", parentData: data, parentDataProperty: "friendlyDescription", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.observedGeneration && (validate136(data.observedGeneration, { instancePath: instancePath + "/observedGeneration", parentData: data, parentDataProperty: "observedGeneration", rootData }) || (vErrors = null === vErrors ? validate136.errors : vErrors.concat(validate136.errors), errors = vErrors.length)), void 0 !== data.template && (validate138(data.template, { instancePath: instancePath + "/template", parentData: data, parentDataProperty: "template", rootData }) || (vErrors = null === vErrors ? validate138.errors : vErrors.concat(validate138.errors), errors = vErrors.length)), void 0 !== data.usefulErrorMessage && (validate21(data.usefulErrorMessage, { instancePath: instancePath + "/usefulErrorMessage", parentData: data, parentDataProperty: "usefulErrorMessage", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate95.errors = vErrors, 0 === errors; }
function validate40(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.kind) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.apiVersion && (validate41(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate41.errors : vErrors.concat(validate41.errors), errors = vErrors.length)), void 0 !== data.kind && (validate43(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate43.errors : vErrors.concat(validate43.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate45(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate45.errors : vErrors.concat(validate45.errors), errors = vErrors.length)), void 0 !== data.spec && (validate53(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate53.errors : vErrors.concat(validate53.errors), errors = vErrors.length)), void 0 !== data.status && (validate95(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate95.errors : vErrors.concat(validate95.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate40.errors = vErrors, 0 === errors; }
