"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalPackageMetadata = void 0;
const base_1 = require("@kubernetes-models/base");
const InternalPackagingCarvelDevV1alpha1InternalPackageMetadata_1 = require("../../_schemas/InternalPackagingCarvelDevV1alpha1InternalPackageMetadata.js");
class InternalPackageMetadata extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: InternalPackageMetadata.apiVersion,
            kind: InternalPackageMetadata.kind,
            ...data
        });
    }
}
exports.InternalPackageMetadata = InternalPackageMetadata;
InternalPackageMetadata.apiVersion = "internal.packaging.carvel.dev/v1alpha1";
InternalPackageMetadata.kind = "InternalPackageMetadata";
InternalPackageMetadata.is = (0, base_1.createTypeMetaGuard)(InternalPackageMetadata);
(0, base_1.setValidateFunc)(InternalPackageMetadata, InternalPackagingCarvelDevV1alpha1InternalPackageMetadata_1.validate);
