import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/InternalPackagingCarvelDevV1alpha1InternalPackageMetadata.mjs";
export class InternalPackageMetadata extends Model {
    constructor(data) {
        super({
            apiVersion: InternalPackageMetadata.apiVersion,
            kind: InternalPackageMetadata.kind,
            ...data
        });
    }
}
InternalPackageMetadata.apiVersion = "internal.packaging.carvel.dev/v1alpha1";
InternalPackageMetadata.kind = "InternalPackageMetadata";
InternalPackageMetadata.is = createTypeMetaGuard(InternalPackageMetadata);
setValidateFunc(InternalPackageMetadata, validate);
