import { formats } from "@kubernetes-models/validate";
export const validate = validate76;
export default validate76;
const schema32 = { type: "string", enum: ["kappctrl.k14s.io/v1alpha1"] };
function validate77(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("kappctrl.k14s.io/v1alpha1" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema32.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate77.errors = vErrors, 0 === errors; }
const schema33 = { type: "string", enum: ["App"] };
function validate79(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("App" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema33.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate79.errors = vErrors, 0 === errors; }
import validate83 from "@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
function validate82(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return validate83(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate83.errors : vErrors.concat(validate83.errors), errors = vErrors.length), validate82.errors = vErrors, 0 === errors; }
function validate86(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate86.errors = vErrors, 0 === errors; }
function validate81(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate82(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate82.errors : vErrors.concat(validate82.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate86(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate86.errors : vErrors.concat(validate86.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate81.errors = vErrors, 0 === errors; }
function validate27(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("boolean" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "boolean" }, message: "must be boolean" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate27.errors = vErrors, 0 === errors; }
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate21.errors = vErrors, 0 === errors; }
function validate92(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.key && (validate21(data.key, { instancePath: instancePath + "/key", parentData: data, parentDataProperty: "key", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate92.errors = vErrors, 0 === errors; }
function validate91(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.kubeconfigSecretRef && (validate92(data.kubeconfigSecretRef, { instancePath: instancePath + "/kubeconfigSecretRef", parentData: data, parentDataProperty: "kubeconfigSecretRef", rootData }) || (vErrors = null === vErrors ? validate92.errors : vErrors.concat(validate92.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate21(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate91.errors = vErrors, 0 === errors; }
function validate24(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate24.errors = vErrors, 0 === errors; }
function validate23(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate24(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length);
} return validate23.errors = vErrors, 0 === errors; }
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.rawOptions && (validate23(data.rawOptions, { instancePath: instancePath + "/rawOptions", parentData: data, parentDataProperty: "rawOptions", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), validate22.errors = vErrors, 0 === errors; }
function validate100(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.delete && (validate22(data.delete, { instancePath: instancePath + "/delete", parentData: data, parentDataProperty: "delete", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.inspect && (validate22(data.inspect, { instancePath: instancePath + "/inspect", parentData: data, parentDataProperty: "inspect", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.intoNs && (validate21(data.intoNs, { instancePath: instancePath + "/intoNs", parentData: data, parentDataProperty: "intoNs", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.mapNs && (validate23(data.mapNs, { instancePath: instancePath + "/mapNs", parentData: data, parentDataProperty: "mapNs", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.rawOptions && (validate23(data.rawOptions, { instancePath: instancePath + "/rawOptions", parentData: data, parentDataProperty: "rawOptions", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length))), validate100.errors = vErrors, 0 === errors; }
function validate99(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.kapp && (validate100(data.kapp, { instancePath: instancePath + "/kapp", parentData: data, parentDataProperty: "kapp", rootData }) || (vErrors = null === vErrors ? validate100.errors : vErrors.concat(validate100.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate99.errors = vErrors, 0 === errors; }
function validate98(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate99(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate99.errors : vErrors.concat(validate99.errors), errors = vErrors.length);
} return validate98.errors = vErrors, 0 === errors; }
function validate33(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.identifiers && (validate23(data.identifiers, { instancePath: instancePath + "/identifiers", parentData: data, parentDataProperty: "identifiers", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), validate33.errors = vErrors, 0 === errors; }
function validate31(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.constraints && (validate21(data.constraints, { instancePath: instancePath + "/constraints", parentData: data, parentDataProperty: "constraints", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.prereleases && (validate33(data.prereleases, { instancePath: instancePath + "/prereleases", parentData: data, parentDataProperty: "prereleases", rootData }) || (vErrors = null === vErrors ? validate33.errors : vErrors.concat(validate33.errors), errors = vErrors.length))), validate31.errors = vErrors, 0 === errors; }
function validate30(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.semver && (validate31(data.semver, { instancePath: instancePath + "/semver", parentData: data, parentDataProperty: "semver", rootData }) || (vErrors = null === vErrors ? validate31.errors : vErrors.concat(validate31.errors), errors = vErrors.length)), validate30.errors = vErrors, 0 === errors; }
function validate28(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), validate28.errors = vErrors, 0 === errors; }
function validate111(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.lfsSkipSmudge && (validate27(data.lfsSkipSmudge, { instancePath: instancePath + "/lfsSkipSmudge", parentData: data, parentDataProperty: "lfsSkipSmudge", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.ref && (validate21(data.ref, { instancePath: instancePath + "/ref", parentData: data, parentDataProperty: "ref", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.refSelection && (validate30(data.refSelection, { instancePath: instancePath + "/refSelection", parentData: data, parentDataProperty: "refSelection", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate28(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate111.errors = vErrors, 0 === errors; }
function validate121(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate28(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate121.errors = vErrors, 0 === errors; }
function validate119(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.repository && (validate121(data.repository, { instancePath: instancePath + "/repository", parentData: data, parentDataProperty: "repository", rootData }) || (vErrors = null === vErrors ? validate121.errors : vErrors.concat(validate121.errors), errors = vErrors.length)), void 0 !== data.version && (validate21(data.version, { instancePath: instancePath + "/version", parentData: data, parentDataProperty: "version", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate119.errors = vErrors, 0 === errors; }
function validate127(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate28(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), void 0 !== data.sha256 && (validate21(data.sha256, { instancePath: instancePath + "/sha256", parentData: data, parentDataProperty: "sha256", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate127.errors = vErrors, 0 === errors; }
function validate133(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.secretRef && (validate28(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), void 0 !== data.subPath && (validate21(data.subPath, { instancePath: instancePath + "/subPath", parentData: data, parentDataProperty: "subPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.tagSelection && (validate30(data.tagSelection, { instancePath: instancePath + "/tagSelection", parentData: data, parentDataProperty: "tagSelection", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.url && (validate21(data.url, { instancePath: instancePath + "/url", parentData: data, parentDataProperty: "url", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate133.errors = vErrors, 0 === errors; }
function validate139(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.image && (validate21(data.image, { instancePath: instancePath + "/image", parentData: data, parentDataProperty: "image", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate28(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), void 0 !== data.tagSelection && (validate30(data.tagSelection, { instancePath: instancePath + "/tagSelection", parentData: data, parentDataProperty: "tagSelection", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length))), validate139.errors = vErrors, 0 === errors; }
function validate65(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data))
    for (const key0 in data)
        validate24(data[key0], { instancePath: instancePath + "/" + key0.replace(/~/g, "~0").replace(/\//g, "~1"), parentData: data, parentDataProperty: key0, rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length); return validate65.errors = vErrors, 0 === errors; }
function validate37(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.directoryPath && (validate21(data.directoryPath, { instancePath: instancePath + "/directoryPath", parentData: data, parentDataProperty: "directoryPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate37.errors = vErrors, 0 === errors; }
function validate69(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.configMapRef && (validate37(data.configMapRef, { instancePath: instancePath + "/configMapRef", parentData: data, parentDataProperty: "configMapRef", rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate37(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate69.errors = vErrors, 0 === errors; }
function validate68(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate69(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate69.errors : vErrors.concat(validate69.errors), errors = vErrors.length);
} return validate68.errors = vErrors, 0 === errors; }
function validate64(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.paths && (validate65(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate65.errors : vErrors.concat(validate65.errors), errors = vErrors.length)), void 0 !== data.pathsFrom && (validate68(data.pathsFrom, { instancePath: instancePath + "/pathsFrom", parentData: data, parentDataProperty: "pathsFrom", rootData }) || (vErrors = null === vErrors ? validate68.errors : vErrors.concat(validate68.errors), errors = vErrors.length))), validate64.errors = vErrors, 0 === errors; }
function validate110(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.git && (validate111(data.git, { instancePath: instancePath + "/git", parentData: data, parentDataProperty: "git", rootData }) || (vErrors = null === vErrors ? validate111.errors : vErrors.concat(validate111.errors), errors = vErrors.length)), void 0 !== data.helmChart && (validate119(data.helmChart, { instancePath: instancePath + "/helmChart", parentData: data, parentDataProperty: "helmChart", rootData }) || (vErrors = null === vErrors ? validate119.errors : vErrors.concat(validate119.errors), errors = vErrors.length)), void 0 !== data.http && (validate127(data.http, { instancePath: instancePath + "/http", parentData: data, parentDataProperty: "http", rootData }) || (vErrors = null === vErrors ? validate127.errors : vErrors.concat(validate127.errors), errors = vErrors.length)), void 0 !== data.image && (validate133(data.image, { instancePath: instancePath + "/image", parentData: data, parentDataProperty: "image", rootData }) || (vErrors = null === vErrors ? validate133.errors : vErrors.concat(validate133.errors), errors = vErrors.length)), void 0 !== data.imgpkgBundle && (validate139(data.imgpkgBundle, { instancePath: instancePath + "/imgpkgBundle", parentData: data, parentDataProperty: "imgpkgBundle", rootData }) || (vErrors = null === vErrors ? validate139.errors : vErrors.concat(validate139.errors), errors = vErrors.length)), void 0 !== data.inline && (validate64(data.inline, { instancePath: instancePath + "/inline", parentData: data, parentDataProperty: "inline", rootData }) || (vErrors = null === vErrors ? validate64.errors : vErrors.concat(validate64.errors), errors = vErrors.length)), void 0 !== data.path && (validate21(data.path, { instancePath: instancePath + "/path", parentData: data, parentDataProperty: "path", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate110.errors = vErrors, 0 === errors; }
function validate109(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate110(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate110.errors : vErrors.concat(validate110.errors), errors = vErrors.length);
} return validate109.errors = vErrors, 0 === errors; }
function validate40(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.version && (validate21(data.version, { instancePath: instancePath + "/version", parentData: data, parentDataProperty: "version", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), validate40.errors = vErrors, 0 === errors; }
function validate42(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.groupVersions && (validate23(data.groupVersions, { instancePath: instancePath + "/groupVersions", parentData: data, parentDataProperty: "groupVersions", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), validate42.errors = vErrors, 0 === errors; }
function validate49(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.fieldPath && (validate21(data.fieldPath, { instancePath: instancePath + "/fieldPath", parentData: data, parentDataProperty: "fieldPath", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.kappControllerVersion && (validate40(data.kappControllerVersion, { instancePath: instancePath + "/kappControllerVersion", parentData: data, parentDataProperty: "kappControllerVersion", rootData }) || (vErrors = null === vErrors ? validate40.errors : vErrors.concat(validate40.errors), errors = vErrors.length)), void 0 !== data.kubernetesAPIs && (validate42(data.kubernetesAPIs, { instancePath: instancePath + "/kubernetesAPIs", parentData: data, parentDataProperty: "kubernetesAPIs", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.kubernetesVersion && (validate40(data.kubernetesVersion, { instancePath: instancePath + "/kubernetesVersion", parentData: data, parentDataProperty: "kubernetesVersion", rootData }) || (vErrors = null === vErrors ? validate40.errors : vErrors.concat(validate40.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate49.errors = vErrors, 0 === errors; }
function validate48(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate49(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate49.errors : vErrors.concat(validate49.errors), errors = vErrors.length);
} return validate48.errors = vErrors, 0 === errors; }
function validate47(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.items && (validate48(data.items, { instancePath: instancePath + "/items", parentData: data, parentDataProperty: "items", rootData }) || (vErrors = null === vErrors ? validate48.errors : vErrors.concat(validate48.errors), errors = vErrors.length)), validate47.errors = vErrors, 0 === errors; }
function validate45(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.configMapRef && (validate28(data.configMapRef, { instancePath: instancePath + "/configMapRef", parentData: data, parentDataProperty: "configMapRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), void 0 !== data.downwardAPI && (validate47(data.downwardAPI, { instancePath: instancePath + "/downwardAPI", parentData: data, parentDataProperty: "downwardAPI", rootData }) || (vErrors = null === vErrors ? validate47.errors : vErrors.concat(validate47.errors), errors = vErrors.length)), void 0 !== data.path && (validate21(data.path, { instancePath: instancePath + "/path", parentData: data, parentDataProperty: "path", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.secretRef && (validate28(data.secretRef, { instancePath: instancePath + "/secretRef", parentData: data, parentDataProperty: "secretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate45.errors = vErrors, 0 === errors; }
function validate44(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate45(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate45.errors : vErrors.concat(validate45.errors), errors = vErrors.length);
} return validate44.errors = vErrors, 0 === errors; }
function validate154(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.inputExpression && (validate21(data.inputExpression, { instancePath: instancePath + "/inputExpression", parentData: data, parentDataProperty: "inputExpression", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.outputExpression && (validate21(data.outputExpression, { instancePath: instancePath + "/outputExpression", parentData: data, parentDataProperty: "outputExpression", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.paths && (validate23(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.valuesFrom && (validate44(data.valuesFrom, { instancePath: instancePath + "/valuesFrom", parentData: data, parentDataProperty: "valuesFrom", rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length))), validate154.errors = vErrors, 0 === errors; }
function validate160(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.kubernetesAPIs && (validate42(data.kubernetesAPIs, { instancePath: instancePath + "/kubernetesAPIs", parentData: data, parentDataProperty: "kubernetesAPIs", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.kubernetesVersion && (validate40(data.kubernetesVersion, { instancePath: instancePath + "/kubernetesVersion", parentData: data, parentDataProperty: "kubernetesVersion", rootData }) || (vErrors = null === vErrors ? validate40.errors : vErrors.concat(validate40.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate21(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.path && (validate21(data.path, { instancePath: instancePath + "/path", parentData: data, parentDataProperty: "path", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.valuesFrom && (validate44(data.valuesFrom, { instancePath: instancePath + "/valuesFrom", parentData: data, parentDataProperty: "valuesFrom", rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length))), validate160.errors = vErrors, 0 === errors; }
function validate61(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate61.errors = vErrors, 0 === errors; }
function validate169(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.paths && (validate23(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), validate169.errors = vErrors, 0 === errors; }
function validate62(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.privateKeysSecretRef && (validate28(data.privateKeysSecretRef, { instancePath: instancePath + "/privateKeysSecretRef", parentData: data, parentDataProperty: "privateKeysSecretRef", rootData }) || (vErrors = null === vErrors ? validate28.errors : vErrors.concat(validate28.errors), errors = vErrors.length)), validate62.errors = vErrors, 0 === errors; }
function validate173(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.age && (validate62(data.age, { instancePath: instancePath + "/age", parentData: data, parentDataProperty: "age", rootData }) || (vErrors = null === vErrors ? validate62.errors : vErrors.concat(validate62.errors), errors = vErrors.length)), void 0 !== data.paths && (validate23(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.pgp && (validate62(data.pgp, { instancePath: instancePath + "/pgp", parentData: data, parentDataProperty: "pgp", rootData }) || (vErrors = null === vErrors ? validate62.errors : vErrors.concat(validate62.errors), errors = vErrors.length))), validate173.errors = vErrors, 0 === errors; }
function validate178(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.fileMarks && (validate23(data.fileMarks, { instancePath: instancePath + "/fileMarks", parentData: data, parentDataProperty: "fileMarks", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.ignoreUnknownComments && (validate27(data.ignoreUnknownComments, { instancePath: instancePath + "/ignoreUnknownComments", parentData: data, parentDataProperty: "ignoreUnknownComments", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.inline && (validate64(data.inline, { instancePath: instancePath + "/inline", parentData: data, parentDataProperty: "inline", rootData }) || (vErrors = null === vErrors ? validate64.errors : vErrors.concat(validate64.errors), errors = vErrors.length)), void 0 !== data.paths && (validate23(data.paths, { instancePath: instancePath + "/paths", parentData: data, parentDataProperty: "paths", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.strict && (validate27(data.strict, { instancePath: instancePath + "/strict", parentData: data, parentDataProperty: "strict", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.valuesFrom && (validate44(data.valuesFrom, { instancePath: instancePath + "/valuesFrom", parentData: data, parentDataProperty: "valuesFrom", rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length))), validate178.errors = vErrors, 0 === errors; }
function validate153(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.cue && (validate154(data.cue, { instancePath: instancePath + "/cue", parentData: data, parentDataProperty: "cue", rootData }) || (vErrors = null === vErrors ? validate154.errors : vErrors.concat(validate154.errors), errors = vErrors.length)), void 0 !== data.helmTemplate && (validate160(data.helmTemplate, { instancePath: instancePath + "/helmTemplate", parentData: data, parentDataProperty: "helmTemplate", rootData }) || (vErrors = null === vErrors ? validate160.errors : vErrors.concat(validate160.errors), errors = vErrors.length)), void 0 !== data.jsonnet && (validate61(data.jsonnet, { instancePath: instancePath + "/jsonnet", parentData: data, parentDataProperty: "jsonnet", rootData }) || (vErrors = null === vErrors ? validate61.errors : vErrors.concat(validate61.errors), errors = vErrors.length)), void 0 !== data.kbld && (validate169(data.kbld, { instancePath: instancePath + "/kbld", parentData: data, parentDataProperty: "kbld", rootData }) || (vErrors = null === vErrors ? validate169.errors : vErrors.concat(validate169.errors), errors = vErrors.length)), void 0 !== data.kustomize && (validate61(data.kustomize, { instancePath: instancePath + "/kustomize", parentData: data, parentDataProperty: "kustomize", rootData }) || (vErrors = null === vErrors ? validate61.errors : vErrors.concat(validate61.errors), errors = vErrors.length)), void 0 !== data.sops && (validate173(data.sops, { instancePath: instancePath + "/sops", parentData: data, parentDataProperty: "sops", rootData }) || (vErrors = null === vErrors ? validate173.errors : vErrors.concat(validate173.errors), errors = vErrors.length)), void 0 !== data.ytt && (validate178(data.ytt, { instancePath: instancePath + "/ytt", parentData: data, parentDataProperty: "ytt", rootData }) || (vErrors = null === vErrors ? validate178.errors : vErrors.concat(validate178.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate153.errors = vErrors, 0 === errors; }
function validate152(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate153(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate153.errors : vErrors.concat(validate153.errors), errors = vErrors.length);
} return validate152.errors = vErrors, 0 === errors; }
function validate89(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.canceled && (validate27(data.canceled, { instancePath: instancePath + "/canceled", parentData: data, parentDataProperty: "canceled", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.cluster && (validate91(data.cluster, { instancePath: instancePath + "/cluster", parentData: data, parentDataProperty: "cluster", rootData }) || (vErrors = null === vErrors ? validate91.errors : vErrors.concat(validate91.errors), errors = vErrors.length)), void 0 !== data.deploy && (validate98(data.deploy, { instancePath: instancePath + "/deploy", parentData: data, parentDataProperty: "deploy", rootData }) || (vErrors = null === vErrors ? validate98.errors : vErrors.concat(validate98.errors), errors = vErrors.length)), void 0 !== data.fetch && (validate109(data.fetch, { instancePath: instancePath + "/fetch", parentData: data, parentDataProperty: "fetch", rootData }) || (vErrors = null === vErrors ? validate109.errors : vErrors.concat(validate109.errors), errors = vErrors.length)), void 0 !== data.noopDelete && (validate27(data.noopDelete, { instancePath: instancePath + "/noopDelete", parentData: data, parentDataProperty: "noopDelete", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.paused && (validate27(data.paused, { instancePath: instancePath + "/paused", parentData: data, parentDataProperty: "paused", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.serviceAccountName && (validate21(data.serviceAccountName, { instancePath: instancePath + "/serviceAccountName", parentData: data, parentDataProperty: "serviceAccountName", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.syncPeriod && (validate21(data.syncPeriod, { instancePath: instancePath + "/syncPeriod", parentData: data, parentDataProperty: "syncPeriod", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.template && (validate152(data.template, { instancePath: instancePath + "/template", parentData: data, parentDataProperty: "template", rootData }) || (vErrors = null === vErrors ? validate152.errors : vErrors.concat(validate152.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate89.errors = vErrors, 0 === errors; }
function validate191(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.status) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "status" }, message: "must have required property 'status'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.type) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "type" }, message: "must have required property 'type'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.message && (validate21(data.message, { instancePath: instancePath + "/message", parentData: data, parentDataProperty: "message", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.reason && (validate21(data.reason, { instancePath: instancePath + "/reason", parentData: data, parentDataProperty: "reason", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.status && (validate24(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.type && (validate24(data.type, { instancePath: instancePath + "/type", parentData: data, parentDataProperty: "type", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate191.errors = vErrors, 0 === errors; }
function validate190(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate191(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate191.errors : vErrors.concat(validate191.errors), errors = vErrors.length);
} return validate190.errors = vErrors, 0 === errors; }
function validate74(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate74.errors = vErrors, 0 === errors; }
function validate207(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.group) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "group" }, message: "must have required property 'group'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.kind) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.group && (validate24(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.kind && (validate24(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate207.errors = vErrors, 0 === errors; }
function validate206(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate207(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate207.errors : vErrors.concat(validate207.errors), errors = vErrors.length);
} return validate206.errors = vErrors, 0 === errors; }
function validate205(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.groupKinds && (validate206(data.groupKinds, { instancePath: instancePath + "/groupKinds", parentData: data, parentDataProperty: "groupKinds", rootData }) || (vErrors = null === vErrors ? validate206.errors : vErrors.concat(validate206.errors), errors = vErrors.length)), void 0 !== data.label && (validate21(data.label, { instancePath: instancePath + "/label", parentData: data, parentDataProperty: "label", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespaces && (validate23(data.namespaces, { instancePath: instancePath + "/namespaces", parentData: data, parentDataProperty: "namespaces", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length))), validate205.errors = vErrors, 0 === errors; }
function validate204(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && void 0 !== data.associatedResources && (validate205(data.associatedResources, { instancePath: instancePath + "/associatedResources", parentData: data, parentDataProperty: "associatedResources", rootData }) || (vErrors = null === vErrors ? validate205.errors : vErrors.concat(validate205.errors), errors = vErrors.length)), validate204.errors = vErrors, 0 === errors; }
const formats0 = formats["date-time"];
function validate75(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data && !formats0.validate(data)) {
    const err1 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "date-time" }, message: 'must match format "date-time"' };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate75.errors = vErrors, 0 === errors; }
function validate200(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate74(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.finished && (validate27(data.finished, { instancePath: instancePath + "/finished", parentData: data, parentDataProperty: "finished", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.kapp && (validate204(data.kapp, { instancePath: instancePath + "/kapp", parentData: data, parentDataProperty: "kapp", rootData }) || (vErrors = null === vErrors ? validate204.errors : vErrors.concat(validate204.errors), errors = vErrors.length)), void 0 !== data.startedAt && (validate75(data.startedAt, { instancePath: instancePath + "/startedAt", parentData: data, parentDataProperty: "startedAt", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.stdout && (validate21(data.stdout, { instancePath: instancePath + "/stdout", parentData: data, parentDataProperty: "stdout", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate75(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length))), validate200.errors = vErrors, 0 === errors; }
function validate221(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate74(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.startedAt && (validate75(data.startedAt, { instancePath: instancePath + "/startedAt", parentData: data, parentDataProperty: "startedAt", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.stdout && (validate21(data.stdout, { instancePath: instancePath + "/stdout", parentData: data, parentDataProperty: "stdout", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate75(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length))), validate221.errors = vErrors, 0 === errors; }
function validate230(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate74(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.stdout && (validate21(data.stdout, { instancePath: instancePath + "/stdout", parentData: data, parentDataProperty: "stdout", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate75(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length))), validate230.errors = vErrors, 0 === errors; }
const formats2 = formats.int64;
function validate238(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data) && !formats2.validate(data)) {
    const err1 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int64" }, message: 'must match format "int64"' };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate238.errors = vErrors, 0 === errors; }
function validate240(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.error && (validate21(data.error, { instancePath: instancePath + "/error", parentData: data, parentDataProperty: "error", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.exitCode && (validate74(data.exitCode, { instancePath: instancePath + "/exitCode", parentData: data, parentDataProperty: "exitCode", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.stderr && (validate21(data.stderr, { instancePath: instancePath + "/stderr", parentData: data, parentDataProperty: "stderr", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.updatedAt && (validate75(data.updatedAt, { instancePath: instancePath + "/updatedAt", parentData: data, parentDataProperty: "updatedAt", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length))), validate240.errors = vErrors, 0 === errors; }
function validate189(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.conditions && (validate190(data.conditions, { instancePath: instancePath + "/conditions", parentData: data, parentDataProperty: "conditions", rootData }) || (vErrors = null === vErrors ? validate190.errors : vErrors.concat(validate190.errors), errors = vErrors.length)), void 0 !== data.consecutiveReconcileFailures && (validate74(data.consecutiveReconcileFailures, { instancePath: instancePath + "/consecutiveReconcileFailures", parentData: data, parentDataProperty: "consecutiveReconcileFailures", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.consecutiveReconcileSuccesses && (validate74(data.consecutiveReconcileSuccesses, { instancePath: instancePath + "/consecutiveReconcileSuccesses", parentData: data, parentDataProperty: "consecutiveReconcileSuccesses", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.deploy && (validate200(data.deploy, { instancePath: instancePath + "/deploy", parentData: data, parentDataProperty: "deploy", rootData }) || (vErrors = null === vErrors ? validate200.errors : vErrors.concat(validate200.errors), errors = vErrors.length)), void 0 !== data.fetch && (validate221(data.fetch, { instancePath: instancePath + "/fetch", parentData: data, parentDataProperty: "fetch", rootData }) || (vErrors = null === vErrors ? validate221.errors : vErrors.concat(validate221.errors), errors = vErrors.length)), void 0 !== data.friendlyDescription && (validate21(data.friendlyDescription, { instancePath: instancePath + "/friendlyDescription", parentData: data, parentDataProperty: "friendlyDescription", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.inspect && (validate230(data.inspect, { instancePath: instancePath + "/inspect", parentData: data, parentDataProperty: "inspect", rootData }) || (vErrors = null === vErrors ? validate230.errors : vErrors.concat(validate230.errors), errors = vErrors.length)), void 0 !== data.managedAppName && (validate21(data.managedAppName, { instancePath: instancePath + "/managedAppName", parentData: data, parentDataProperty: "managedAppName", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.observedGeneration && (validate238(data.observedGeneration, { instancePath: instancePath + "/observedGeneration", parentData: data, parentDataProperty: "observedGeneration", rootData }) || (vErrors = null === vErrors ? validate238.errors : vErrors.concat(validate238.errors), errors = vErrors.length)), void 0 !== data.template && (validate240(data.template, { instancePath: instancePath + "/template", parentData: data, parentDataProperty: "template", rootData }) || (vErrors = null === vErrors ? validate240.errors : vErrors.concat(validate240.errors), errors = vErrors.length)), void 0 !== data.usefulErrorMessage && (validate21(data.usefulErrorMessage, { instancePath: instancePath + "/usefulErrorMessage", parentData: data, parentDataProperty: "usefulErrorMessage", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length))), validate189.errors = vErrors, 0 === errors; }
function validate76(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.kind) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.apiVersion && (validate77(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate77.errors : vErrors.concat(validate77.errors), errors = vErrors.length)), void 0 !== data.kind && (validate79(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate79.errors : vErrors.concat(validate79.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate81(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate81.errors : vErrors.concat(validate81.errors), errors = vErrors.length)), void 0 !== data.spec && (validate89(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate89.errors : vErrors.concat(validate89.errors), errors = vErrors.length)), void 0 !== data.status && (validate189(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate189.errors : vErrors.concat(validate189.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate76.errors = vErrors, 0 === errors; }
