"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalPackage = void 0;
const base_1 = require("@kubernetes-models/base");
const InternalPackagingCarvelDevV1alpha1InternalPackage_1 = require("../../_schemas/InternalPackagingCarvelDevV1alpha1InternalPackage.js");
class InternalPackage extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: InternalPackage.apiVersion,
            kind: InternalPackage.kind,
            ...data
        });
    }
}
exports.InternalPackage = InternalPackage;
InternalPackage.apiVersion = "internal.packaging.carvel.dev/v1alpha1";
InternalPackage.kind = "InternalPackage";
InternalPackage.is = (0, base_1.createTypeMetaGuard)(InternalPackage);
(0, base_1.setValidateFunc)(InternalPackage, InternalPackagingCarvelDevV1alpha1InternalPackage_1.validate);
